> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.velocity.shop/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete rep



## OpenAPI

````yaml /openapi.yaml delete /reps/{id}/
openapi: 3.0.3
info:
  title: Velocity Merchant API
  version: 1.0.0
servers:
  - url: https://api.velocity.shop
security: []
paths:
  /reps/{id}/:
    delete:
      tags:
        - Reps
      summary: Delete rep
      operationId: reps_destroy
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          description: No response body
        '401':
          description: Missing or invalid API token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: No rep matches the given id.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '409':
          description: The rep has commission and cannot be deleted.
        '429':
          description: Rate limit exceeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - merchantApiToken: []
components:
  schemas:
    Error:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
  securitySchemes:
    merchantApiToken:
      type: http
      scheme: bearer

````